package com.qmth.distributed.print.business.bean.result.analyze;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.GradeAnalyzePaperStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 批次查询返回对象
 * @Author: CaoZixuan
 * @Date: 2022-05-24
 */
public class GradeBatchResult {
    @ApiModelProperty(value = "批次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "批次名称")
    private String batchName;

    @ApiModelProperty(value = "批次时间")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long batchTime;

    @ApiModelProperty(value = "学期id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long semesterId;

    @ApiModelProperty(value = "学期名称")
    private String semesterName;

    @ApiModelProperty(value = "批次状态")
    private GradeAnalyzePaperStatusEnum status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public Long getBatchTime() {
        return batchTime;
    }

    public void setBatchTime(Long batchTime) {
        this.batchTime = batchTime;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public GradeAnalyzePaperStatusEnum getStatus() {
        return status;
    }

    public void setStatus(GradeAnalyzePaperStatusEnum status) {
        this.status = status;
    }
}
